# Quicksort in Rust

### Time-travel debugging

```sh
sysctl kernel.perf_event_paranoid=-1
sysctl kernel.kptr_restrict=0
executable=$(cargo test --no-run --message-format=json | template_Rust/test_artifact.py)
rr record "${executable:?}"
```
